Skip to main content
GET
https://sendazi.com/api/v1
/
groups
List Groups (Paginated)
curl --request GET \
  --url https://sendazi.com/api/v1/groups


{
  "success": true,
  "data": {
    "current_page": 1,
    "data": [
      {
        "id": 1,
        "uuid": "ee9fb0b4-83f0-4be5-a0be-1063e05ff0b8",
        "name": "VIP Customers",
        "description": "High-value customers",
        "contacts_count": 150,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      {
        "id": 2,
        "uuid": "feab58b8-df74-435e-ae09-d7dde096ff0c",
        "name": "Newsletter Subscribers",
        "description": "Users subscribed to our newsletter",
        "contacts_count": 500,
        "created_at": "2026-01-02T00:00:00.000000Z",
        "updated_at": "2026-01-02T00:00:00.000000Z"
      }
    ],
    "per_page": 10,
    "total": 2,
    "last_page": 1
  }
}
page
integer
default:"1"
Page number for pagination
{
  "success": true,
  "data": {
    "current_page": 1,
    "data": [
      {
        "id": 1,
        "uuid": "ee9fb0b4-83f0-4be5-a0be-1063e05ff0b8",
        "name": "VIP Customers",
        "description": "High-value customers",
        "contacts_count": 150,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      {
        "id": 2,
        "uuid": "feab58b8-df74-435e-ae09-d7dde096ff0c",
        "name": "Newsletter Subscribers",
        "description": "Users subscribed to our newsletter",
        "contacts_count": 500,
        "created_at": "2026-01-02T00:00:00.000000Z",
        "updated_at": "2026-01-02T00:00:00.000000Z"
      }
    ],
    "per_page": 10,
    "total": 2,
    "last_page": 1
  }
}